older script won't run on my wampserver
Posted by: benny (---.chello.nl)
Date: April 11, 2010 01:28PM

Hello,
Have an older script (2003) which runs okay on my firepages.com.au server (apache1.3.27, php4.2.3 mysql4.0.0) with register_globals to be On, however cann't get it to run on my new wampserver (mysql5.1.36 php5.3.0 apache2.2.11).

What would I need to change in order for it to run on my wampserver besides register_globals to be On?

Thanks,

Re: older script won't run on my wampserver
Posted by: c2dan (---.15-1.cable.virginmedia.com)
Date: April 11, 2010 01:37PM

You should start looking to upgrade your script so it works without register_globals. Register_globals has been disabled for years and is soon to be completely to be removed.

You'll need to downgrade to PHP5.2.x. You can do this by clicking the Addons link in the menu and downloading the latest 5.2.x build.

Re: older script won't run on my wampserver
Posted by: benny (---.chello.nl)
Date: April 11, 2010 02:07PM

Is there anything else that would need changing?

Re: older script won't run on my wampserver
Posted by: ozstar (---.livrp2.nsw.optusnet.com.au)
Date: April 13, 2010 12:29AM

Hi,

I have this problem with some shop php scripts. I am tetsing them on php 5.3 and they don't work, but got the add on for 5.2 and they do work.

As I do not have the time to upgrade the scripts myself I outsourced them to coders who can do it and who bid for the job.

When I get them back I test them on my 5.3 wamp and if okay, they get paid. You can try Rentacoder or any other place you want.

Good luck.

oz :-)

Sorry, only registered users may post in this forum.